{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
<!-- Content Header (Page header) -->
<div class="content-header">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="row">
                        <div class="col-sm-12 col-md-4">
                            <div class="card">
                                <div class="card-body d-flex justify-content-center">
                                    <img class="card-img-top p-3" src="{% static 'base/img/search-1.svg' %}"
                                        style="height: 290px; width: 300px;" alt="fitrado de apoyos">
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-md-8">
                            <form method="post">
                                {% csrf_token %}

                                <!-- Input addon -->
                                <!-- card -->
                                <div class="card" style="height: 332px;">

                                    <div class="bg-gradient-success card-header">
                                        <h3 class="card-title text-uppercase text-black-50 mt-2" style="font-family: Arial, Helvetica, sans-serif; font-size: 24px;">Filtrado de apoyos por localidad</h3>
                                    </div>

                                    <!-- card-body -->
                                    <div class="card-body">

                                        <!-- fila 1 -->
                                        <div class="row mt-2">
                                            <div class="col-sm-12 col-md-1"></div>
                                           
                                            <div class="col-sm-12 col-md-10">
                                                <div class="form-group">
                                                    <label for="id_localidad" class="text-sm text-uppercase text-black"
                                                        style="font-family: Arial, Helvetica, sans-serif;">Localidades:
                                                        <i class="fa fa-asterisk badge-warning"></i></label>
                                                        <select id="id_localidad" name="localidad" class="form-control">
                                                            <option value="0" selected>Seleccione la localidad..</option>                                                                                                                   
                                                            
                                                            {% for item in localidades %}
                                                                <option value="{{item.id}}">{{ item.nombre }}</option>
                                                            {% endfor %}
                                                                
                                                        </select>
                                                </div>
                                            </div>   
                                            
                                            <div class="col-sm-12 col-md-1"></div>
                                        </div>                                        

                                        <div class="dropdown-divider p-2"></div>
                                        <div class="row">

                                            <div class="col-sm-12 col-md-2"></div>                                           
                                            
                                            <div class="col-sm-12 col-md-4">
                                                <button type="submit" class="btn btn-success btn-block"><i
                                                        class="fa fa-search"></i><span> Buscar</span>
                                                </button>
                                            </div>

                                            <div class="col-sm-12 col-md-4">
                                                <a href="{% url 'bases:menu_de_apoyos' %}"
                                                    class="btn btn-info btn-block"><i
                                                        class="fas fa-window-close"></i><span> Cancelar</span>
                                                </a>
                                            </div>

                                            <div class="col-sm-12 col-md-2"></div>
                                                                                     
                                        </div>
                                    </div>
                                    <!-- /.card-body -->
                                </div>
                            </div>
                        </div>
                        <!-- /.card -->
                        </form>
                        <!-- ./form -->
                    </div>
                </div>
            </div>
        </div>
</div>
</section>
<!-- /.container-fluid -->


 <!-- # datatable personas -->
    <!-- Card Body -->
    <div class="card-body">
       
        {% if apoyos %}
            <!-- listado con datatables -->
            <!-- table -->
            <table class="table table-bordered table-striped">
                <thead class="table-info" style="font-size: small;">
                    <th>DESCRIPCION</th>
                    <th>FECHA DE ENTREGA</th>       
                    <th>NOMBRES</th>                
                    <th>AP PATERNO</th>
                    <th>AP MATERNO</th>
                    <th>LOCALIDAD</th>   
                    <th>SECCIÓN</th>
                    <th>DEPARTAMENTO</th>                                                                      
                </thead>

                <tbody style="font-size: small;">
                                        
                    {% for item in apoyos %}
                    <tr>

                        {% if item.descripcion %}
                            <td>{{ item.descripcion }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.fecha_de_entrega %}
                            <td>{{ item.fecha_de_entrega }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                                           
                        {% if item.persona.nombres %}
                            <td>{{ item.persona.nombres }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                                    
                        {% if item.persona.ap_paterno %}
                            <td>{{ item.persona.ap_paterno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.persona.ap_materno %}
                            <td>{{ item.persona.ap_materno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                            
                        {% if item.persona.localidad %}
                            <td class="text-info" style="text-decoration: line-through;">{{ item.persona.localidad }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.persona.localidad.seccion %}
                            <td>{{ item.persona.localidad.seccion }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.departamento %}
                            <td>{{ item.departamento }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                                               
                        <!-- <td>
                            <a href="{% url 'apoyos:personas_edit' item.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:personas_delete' item.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>

                            <a href="{% url 'apoyos:apoyos-recibidos' item.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-list"></i>
                                </span>
                                <span class="text font-weight-bold">Ver apoyos</span>
                            </a>

                            <a href="{% url 'apoyos:agregar_apoyos' item.id %}" class="btn btn-info btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-box-open"></i>
                                </span>
                                <span class="text font-weight-bold">Dar apoyo</span>
                            </a>
                        
                        </td> -->
                    </tr>  
                    {% endfor %}                                         
                                       
                </tr>
                                                
                </tbody>
            </table>
            <!-- ./table -->
        
        {% elif not apoyos %}
            <div class="alert alert-info">No hay apoyos entregados..</div> 
        {% endif %}
        
    </div>
    <!-- # ./datatable personas -->
</div>
<!-- /.content-header -->
{% endblock page_content %}

{% block js_page %}
    <script>
        //Initialize Select2 Elements
        // carga del DOM
        $(function () {
            // Initialize Select2 Elements
            $('#id_localidad').select2(); 
            $("#id_localidad").select2({theme:"bootstrap4"});          
        });

    
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            var table = $('.table').DataTable({
                // "pageLength": 8,
                dom: 'lBfrtip',
                buttons : [
                    {
                        // COPY
                        extend: 'copy',
                        text: '<i class="fas fa-clone"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Copy',
                        // elige las columnas que deseas copiar
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },                        
                    },

                    {
                        // EXCEL
                        extend: 'excel',
                        text: '<i class="fas fa-file-excel"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Excel',
                        // elige las columnas que deseas exportar a excel
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },
                    },
                    
                    {
                        // EXCEL
                        extend: 'print',
                        text: '<i class="fas fa-print"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Print',
                        // elige las columnas que deseas imprimir
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },

                        // font size(Cuando exportamos paea imprimir)
                        customize: function(win){
                            $(win.document.body).css('font-size', '10pt'),
                            $(win.document.body).find('table').addClass('compact').css('font-size', 'inherit');
                        }
                    },

                    {
                        // PDF
                        extend: 'pdf',
                        text: '<i class="fas fa-file-pdf"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'PDF',
                        // elige las columnas que deseas exportar a pdf
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },  
                        // centrando la tabla
                        tableHeader: {
                            alignment: 'center'
                        },            
                    },

                ],
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    },                    
                }
            });

            table.buttons().container().appendTo( '#example_wrapper .col-md-6:eq(0)' );
        });
         
    </script>
{% endblock js_page %}